-- ***********************
--   V/STOL REST Display
--   BINGO PAGE
-- ***********************

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/VRST/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- MENU
dofile(mpcd_path.."VRST_MENU.lua")

local	BNGO_VRST_Sel				= create_mpcd_textured_box( 5, 4, 58, 153)
		BNGO_VRST_Sel.name			= "BNGO_VRST_Sel"
		BNGO_VRST_Sel.init_pos		= mpcd_btn_14_pos
Add_MPCD_Element(BNGO_VRST_Sel)

-- DATA
local	ABNG_Label				= CreateElement "ceStringPoly"
		ABNG_Label.name			= "ABNG_Label"
		ABNG_Label.material		= mpcd_tpod_font
		ABNG_Label.init_pos		= {0.0, 0.5, 0.00}
		ABNG_Label.alignment		= "CenterCenter"
		ABNG_Label.value			= "ABNG"
		ABNG_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ABNG_Label)

local	ABNG_Flag				= CreateElement "ceStringPoly"
		ABNG_Flag.name			= "ABNG_Flag"
		ABNG_Flag.material		= mpcd_tpod_font
		ABNG_Flag.init_pos		= {0.13, 0.5, 0.00}
		ABNG_Flag.alignment		= "RightCenter"
		ABNG_Flag.value			= "*"
		ABNG_Flag.stringdefs		= MPCD_data1_font_size
        ABNG_Flag.controllers  = {{"higher_than_opt_bingo"}}
Add_MPCD_Element(ABNG_Flag)

local	OBNG_Label				= CreateElement "ceStringPoly"
		OBNG_Label.name			= "OBNG_Label"
		OBNG_Label.material		= mpcd_tpod_font
		OBNG_Label.init_pos		= {0.40, 0.5, 0.00}
		OBNG_Label.alignment	= "CenterCenter"
		OBNG_Label.value		= "OBNG"
		OBNG_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(OBNG_Label)

-- AIRCRAFT DATA
local	CAS_Label				= CreateElement "ceStringPoly"
		CAS_Label.name			= "CAS_Label"
		CAS_Label.material		= mpcd_tpod_font
		CAS_Label.init_pos		= {-0.33, 0.4, 0.00}
		CAS_Label.alignment		= "LeftCenter"
		CAS_Label.value			= "CAS"
		CAS_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CAS_Label)

local	CAS_A_Value				= CreateElement "ceStringPoly"
		CAS_A_Value.name		= "CAS_A_Value"
		CAS_A_Value.material	= mpcd_tpod_font
		CAS_A_Value.init_pos	= {0.10, 0.4, 0.00}
		CAS_A_Value.alignment	= "RightCenter"
		CAS_A_Value.value		= "400"
		CAS_A_Value.stringdefs	= MPCD_default_font_size
        CAS_A_Value.formats	    = {"%d"}
        CAS_A_Value.controllers = {{"cas_bingo_alt"}}
Add_MPCD_Element(CAS_A_Value)

local	CAS_A_Unit				= CreateElement "ceStringPoly"
		CAS_A_Unit.name			= "CAS_A_Unit"
		CAS_A_Unit.material		= mpcd_tpod_font
		CAS_A_Unit.init_pos		= {0.15, 0.4, 0.00}
		CAS_A_Unit.alignment	= "LeftCenter"
		CAS_A_Unit.value		= "KT"
		CAS_A_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CAS_A_Unit)

local	CAS_O_Value				= CreateElement "ceStringPoly"
		CAS_O_Value.name		= "CAS_O_Value"
		CAS_O_Value.material	= mpcd_tpod_font
		CAS_O_Value.init_pos	= {0.50, 0.4, 0.00}
		CAS_O_Value.alignment	= "RightCenter"
		CAS_O_Value.value		= "450"
		CAS_O_Value.stringdefs	= MPCD_default_font_size
        CAS_O_Value.formats	    = {"%d"}
        CAS_O_Value.controllers = {{"cas_bingo_opt"}}
Add_MPCD_Element(CAS_O_Value)

local	CAS_O_Unit				= CreateElement "ceStringPoly"
		CAS_O_Unit.name			= "CAS_O_Unit"
		CAS_O_Unit.material		= mpcd_tpod_font
		CAS_O_Unit.init_pos		= {0.55, 0.4, 0.00}
		CAS_O_Unit.alignment	= "LeftCenter"
		CAS_O_Unit.value		= "KT"
		CAS_O_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CAS_O_Unit)

local	CAS_MValue				= CreateElement "ceStringPoly"
		CAS_MValue.name			= "CAS_MValue"
		CAS_MValue.material		= mpcd_tpod_font
		CAS_MValue.init_pos		= {-0.35, 0.4, 0.00}
		CAS_MValue.alignment	= "RightCenter"
		CAS_MValue.value		= "*"
		CAS_MValue.stringdefs	= MPCD_data1_font_size
        CAS_MValue.controllers  = {{"cas_bingo_opt_overridden"}}
Add_MPCD_Element(CAS_MValue)

local	MACH_Label				= CreateElement "ceStringPoly"
		MACH_Label.name			= "MACH_Label"
		MACH_Label.material		= mpcd_tpod_font
		MACH_Label.init_pos		= {-0.33, 0.3, 0.00}
		MACH_Label.alignment	= "LeftCenter"
		MACH_Label.value		= "MACH"
		MACH_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(MACH_Label)

local	MACH_A_Value			= CreateElement "ceStringPoly"
		MACH_A_Value.name		= "MACH_A_Value"
		MACH_A_Value.material	= mpcd_tpod_font
		MACH_A_Value.init_pos	= {0.10, 0.3, 0.00}
		MACH_A_Value.alignment	= "RightCenter"
		MACH_A_Value.value		= "0.55"
		MACH_A_Value.stringdefs	= MPCD_default_font_size
        MACH_A_Value.formats	= {"%1.2f"}
        MACH_A_Value.controllers= {{"mach_bingo_alt"}}
Add_MPCD_Element(MACH_A_Value)

local	MACH_O_Value			= CreateElement "ceStringPoly"
		MACH_O_Value.name		= "MACH_O_Value"
		MACH_O_Value.material	= mpcd_tpod_font
		MACH_O_Value.init_pos	= {0.50, 0.3, 0.00}
		MACH_O_Value.alignment	= "RightCenter"
		MACH_O_Value.value		= "0.58"
		MACH_O_Value.stringdefs	= MPCD_default_font_size
        MACH_O_Value.formats	= {"%1.2f"}
        MACH_O_Value.controllers= {{"mach_bingo_opt"}}
Add_MPCD_Element(MACH_O_Value)

local	CALT_Label				= CreateElement "ceStringPoly"
		CALT_Label.name			= "CALT_Label"
		CALT_Label.material		= mpcd_tpod_font
		CALT_Label.init_pos		= {-0.33, 0.2, 0.00}
		CALT_Label.alignment	= "LeftCenter"
		CALT_Label.value		= "CALT"
		CALT_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CALT_Label)

local	CALT_A_Value			= CreateElement "ceStringPoly"
		CALT_A_Value.name		= "CALT_A_Value"
		CALT_A_Value.material	= mpcd_tpod_font
		CALT_A_Value.init_pos	= {0.10, 0.2, 0.00}
		CALT_A_Value.alignment	= "RightCenter"
		CALT_A_Value.value		= "20000"
		CALT_A_Value.stringdefs	= MPCD_default_font_size
        CALT_A_Value.formats	= {"%d"}
        CALT_A_Value.controllers= {{"calt_bingo_alt"}}
Add_MPCD_Element(CALT_A_Value)

local	CALT_A_Unit				= CreateElement "ceStringPoly"
		CALT_A_Unit.name		= "CALT_A_Unit"
		CALT_A_Unit.material	= mpcd_tpod_font
		CALT_A_Unit.init_pos	= {0.15, 0.2, 0.00}
		CALT_A_Unit.alignment	= "LeftCenter"
		CALT_A_Unit.value		= "FT"
		CALT_A_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CALT_A_Unit)

local	CALT_O_Value			= CreateElement "ceStringPoly"
		CALT_O_Value.name		= "CALT_O_Value"
		CALT_O_Value.material	= mpcd_tpod_font
		CALT_O_Value.init_pos	= {0.50, 0.2, 0.00}
		CALT_O_Value.alignment	= "RightCenter"
		CALT_O_Value.value		= "25000"
		CALT_O_Value.stringdefs	= MPCD_default_font_size
        CALT_O_Value.formats	= {"%d"}
        CALT_O_Value.controllers= {{"calt_bingo_opt"}}
Add_MPCD_Element(CALT_O_Value)

local	CALT_O_Unit				= CreateElement "ceStringPoly"
		CALT_O_Unit.name		= "CALT_O_Unit"
		CALT_O_Unit.material	= mpcd_tpod_font
		CALT_O_Unit.init_pos	= {0.55, 0.2, 0.00}
		CALT_O_Unit.alignment	= "LeftCenter"
		CALT_O_Unit.value		= "FT"
		CALT_O_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(CALT_O_Unit)

local	CALT_MValue				= CreateElement "ceStringPoly"
		CALT_MValue.name		= "CALT_MValue"
		CALT_MValue.material	= mpcd_tpod_font
		CALT_MValue.init_pos	= {-0.35, 0.2, 0.00}
		CALT_MValue.alignment	= "RightCenter"
		CALT_MValue.value		= "*"
		CALT_MValue.stringdefs	= MPCD_data1_font_size
        CALT_MValue.controllers = {{"calt_bingo_opt_overridden"}}
Add_MPCD_Element(CALT_MValue)

local	RANG_Label				= CreateElement "ceStringPoly"
		RANG_Label.name			= "RANG_Label"
		RANG_Label.material		= mpcd_tpod_font
		RANG_Label.init_pos		= {-0.33, 0.1, 0.00}
		RANG_Label.alignment	= "LeftCenter"
		RANG_Label.value		= "RANG"
		RANG_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(RANG_Label)

local	RANG_A_Value			= CreateElement "ceStringPoly"
		RANG_A_Value.name		= "RANG_A_Value"
		RANG_A_Value.material	= mpcd_tpod_font
		RANG_A_Value.init_pos	= {0.10, 0.1, 0.00}
		RANG_A_Value.alignment	= "RightCenter"
		RANG_A_Value.value		= "20"
		RANG_A_Value.stringdefs	= MPCD_default_font_size
        RANG_A_Value.formats	= {"%d"}
        RANG_A_Value.controllers= {{"rang_bingo_alt"}}
Add_MPCD_Element(RANG_A_Value)

local	RANG_A_Unit				= CreateElement "ceStringPoly"
		RANG_A_Unit.name		= "RANG_A_Unit"
		RANG_A_Unit.material	= mpcd_tpod_font
		RANG_A_Unit.init_pos	= {0.15, 0.1, 0.00}
		RANG_A_Unit.alignment	= "LeftCenter"
		RANG_A_Unit.value		= "NM"
		RANG_A_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(RANG_A_Unit)

local	RANG_O_Value			= CreateElement "ceStringPoly"
		RANG_O_Value.name		= "RANG_O_Value"
		RANG_O_Value.material	= mpcd_tpod_font
		RANG_O_Value.init_pos	= {0.50, 0.1, 0.00}
		RANG_O_Value.alignment	= "RightCenter"
		RANG_O_Value.value		= "20"
		RANG_O_Value.stringdefs	= MPCD_default_font_size
        RANG_O_Value.formats	= {"%d"}
        RANG_O_Value.controllers= {{"rang_bingo_opt"}}
Add_MPCD_Element(RANG_O_Value)

local	RANG_O_Unit				= CreateElement "ceStringPoly"
		RANG_O_Unit.name		= "RANG_O_Unit"
		RANG_O_Unit.material	= mpcd_tpod_font
		RANG_O_Unit.init_pos	= {0.55, 0.1, 0.00}
		RANG_O_Unit.alignment	= "LeftCenter"
		RANG_O_Unit.value		= "NM"
		RANG_O_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(RANG_O_Unit)

local	RFUL_Label				= CreateElement "ceStringPoly"
		RFUL_Label.name			= "RFUL_Label"
		RFUL_Label.material		= mpcd_tpod_font
		RFUL_Label.init_pos		= {-0.33, -0.0, 0.00}
		RFUL_Label.alignment	= "LeftCenter"
		RFUL_Label.value		= "RFUL"
		RFUL_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(RFUL_Label)

local	RFUL_A_Value			= CreateElement "ceStringPoly"
		RFUL_A_Value.name		= "RFUL_A_Value"
		RFUL_A_Value.material	= mpcd_tpod_font
		RFUL_A_Value.init_pos	= {0.10, -0.0, 0.00}
		RFUL_A_Value.alignment	= "RightCenter"
		RFUL_A_Value.value		= "2000"
		RFUL_A_Value.stringdefs	= MPCD_default_font_size
        RFUL_A_Value.formats	= {"%d"}
        RFUL_A_Value.controllers= {{"rfuel_bingo_alt"}}
Add_MPCD_Element(RFUL_A_Value)

local	RFUL_A_Unit				= CreateElement "ceStringPoly"
		RFUL_A_Unit.name		= "RFUL_A_Unit"
		RFUL_A_Unit.material	= mpcd_tpod_font
		RFUL_A_Unit.init_pos	= {0.15, -0.0, 0.00}
		RFUL_A_Unit.alignment	= "LeftCenter"
		RFUL_A_Unit.value		= "#"
		RFUL_A_Unit.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(RFUL_A_Unit)

local	RFUL_O_Value			= CreateElement "ceStringPoly"
		RFUL_O_Value.name		= "RFUL_O_Value"
		RFUL_O_Value.material	= mpcd_tpod_font
		RFUL_O_Value.init_pos	= {0.50, -0.0, 0.00}
		RFUL_O_Value.alignment	= "RightCenter"
		RFUL_O_Value.value		= "2250"
		RFUL_O_Value.stringdefs	= MPCD_default_font_size
        RFUL_O_Value.formats	= {"%d"}
        RFUL_O_Value.controllers= {{"rfuel_bingo_opt"}}
Add_MPCD_Element(RFUL_O_Value)

local	RFUL_O_Unit				= CreateElement "ceStringPoly"
		RFUL_O_Unit.name		= "RFUL_O_Unit"
		RFUL_O_Unit.material	= mpcd_tpod_font
		RFUL_O_Unit.init_pos	= {0.55, -0.0, 0.00}
		RFUL_O_Unit.alignment	= "LeftCenter"
		RFUL_O_Unit.value		= "#"
		RFUL_O_Unit.stringdefs	= MPCD_data1_font_size
Add_MPCD_Element(RFUL_O_Unit)

local	MRNG_Label				= CreateElement "ceStringPoly"
		MRNG_Label.name			= "MRNG_Label"
		MRNG_Label.material		= mpcd_tpod_font
		MRNG_Label.init_pos		= {-0.33, -0.1, 0.00}
		MRNG_Label.alignment	= "LeftCenter"
		MRNG_Label.value		= "MRNG"
		MRNG_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(MRNG_Label)

local	MRNG_A_Value			= CreateElement "ceStringPoly"
		MRNG_A_Value.name		= "MRNG_A_Value"
		MRNG_A_Value.material	= mpcd_tpod_font
		MRNG_A_Value.init_pos	= {0.10, -0.1, 0.00}
		MRNG_A_Value.alignment	= "RightCenter"
		MRNG_A_Value.value		= "325"
		MRNG_A_Value.stringdefs	= MPCD_default_font_size
        MRNG_A_Value.formats	= {"%d"}
        MRNG_A_Value.controllers= {{"mrng_bingo_alt"}}
Add_MPCD_Element(MRNG_A_Value)

local	MRNG_A_Unit				= CreateElement "ceStringPoly"
		MRNG_A_Unit.name		= "MRNG_A_Unit"
		MRNG_A_Unit.material	= mpcd_tpod_font
		MRNG_A_Unit.init_pos	= {0.15, -0.1, 0.00}
		MRNG_A_Unit.alignment	= "LeftCenter"
		MRNG_A_Unit.value		= "NM"
		MRNG_A_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(MRNG_A_Unit)

local	MRNG_O_Value			= CreateElement "ceStringPoly"
		MRNG_O_Value.name		= "MRNG_O_Value"
		MRNG_O_Value.material	= mpcd_tpod_font
		MRNG_O_Value.init_pos	= {0.50, -0.1, 0.00}
		MRNG_O_Value.alignment	= "RightCenter"
		MRNG_O_Value.value		= "375"
		MRNG_O_Value.stringdefs	= MPCD_default_font_size
        MRNG_O_Value.formats	= {"%d"}
        MRNG_O_Value.controllers= {{"mrng_bingo_opt"}}
Add_MPCD_Element(MRNG_O_Value)

local	MRNG_O_Unit				= CreateElement "ceStringPoly"
		MRNG_O_Unit.name		= "MRNG_O_Unit"
		MRNG_O_Unit.material	= mpcd_tpod_font
		MRNG_O_Unit.init_pos	= {0.55, -0.1, 0.00}
		MRNG_O_Unit.alignment	= "LeftCenter"
		MRNG_O_Unit.value		= "NM"
		MRNG_O_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(MRNG_O_Unit)

local	WIND_Label				= CreateElement "ceStringPoly"
		WIND_Label.name			= "WIND_Label"
		WIND_Label.material		= mpcd_tpod_font
		WIND_Label.init_pos		= {-0.33, -0.2, 0.00}
		WIND_Label.alignment	= "LeftCenter"
		WIND_Label.value		= "WIND"
		WIND_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(WIND_Label)

local	WIND_A_Value			= CreateElement "ceStringPoly"
		WIND_A_Value.name		= "WIND_A_Value"
		WIND_A_Value.material	= mpcd_tpod_font
		WIND_A_Value.init_pos	= {0.15, -0.2, 0.00}
		WIND_A_Value.alignment	= "RightCenter"
		WIND_A_Value.value		= "215/015"
		WIND_A_Value.stringdefs	= MPCD_default_font_size
        WIND_A_Value.formats	= {"%s"}
        WIND_A_Value.controllers= {{"wind_bingo_alt"}}
Add_MPCD_Element(WIND_A_Value)

local	WIND_O_Value			= CreateElement "ceStringPoly"
		WIND_O_Value.name		= "WIND_O_Value"
		WIND_O_Value.material	= mpcd_tpod_font
		WIND_O_Value.init_pos	= {0.55, -0.2, 0.00}
		WIND_O_Value.alignment	= "RightCenter"
		WIND_O_Value.value		= "210/010"
		WIND_O_Value.stringdefs	= MPCD_default_font_size
        WIND_O_Value.formats	= {"%s"}
        WIND_O_Value.controllers= {{"wind_bingo_opt"}}
Add_MPCD_Element(WIND_O_Value)

local	DCRG_Label				= CreateElement "ceStringPoly"
		DCRG_Label.name			= "DCRG_Label"
		DCRG_Label.material		= mpcd_tpod_font
		DCRG_Label.init_pos		= {-0.33, -0.3, 0.00}
		DCRG_Label.alignment	= "LeftCenter"
		DCRG_Label.value		= "DCRG"
		DCRG_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(DCRG_Label)

local	DCRG_A_Value			= CreateElement "ceStringPoly"
		DCRG_A_Value.name		= "DCRG_A_Value"
		DCRG_A_Value.material	= mpcd_tpod_font
		DCRG_A_Value.init_pos	= {0.10, -0.3, 0.00}
		DCRG_A_Value.alignment	= "RightCenter"
		DCRG_A_Value.value		= "10"
		DCRG_A_Value.stringdefs	= MPCD_default_font_size
        DCRG_A_Value.formats	= {"%d"}
        DCRG_A_Value.controllers= {{"dcrg_bingo_alt"}}
Add_MPCD_Element(DCRG_A_Value)

local	DCRG_A_Unit				= CreateElement "ceStringPoly"
		DCRG_A_Unit.name		= "DCRG_A_Unit"
		DCRG_A_Unit.material	= mpcd_tpod_font
		DCRG_A_Unit.init_pos	= {0.15, -0.3, 0.00}
		DCRG_A_Unit.alignment	= "LeftCenter"
		DCRG_A_Unit.value		= "NM"
		DCRG_A_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(DCRG_A_Unit)

local	DCRG_O_Value			= CreateElement "ceStringPoly"
		DCRG_O_Value.name		= "DCRG_O_Value"
		DCRG_O_Value.material	= mpcd_tpod_font
		DCRG_O_Value.init_pos	= {0.50, -0.3, 0.00}
		DCRG_O_Value.alignment	= "RightCenter"
		DCRG_O_Value.value		= "15"
		DCRG_O_Value.stringdefs	= MPCD_default_font_size
        DCRG_O_Value.formats	= {"%d"}
        DCRG_O_Value.controllers= {{"dcrg_bingo_opt"}}
Add_MPCD_Element(DCRG_O_Value)

local	DCRG_O_Unit				= CreateElement "ceStringPoly"
		DCRG_O_Unit.name		= "DCRG_O_Unit"
		DCRG_O_Unit.material	= mpcd_tpod_font
		DCRG_O_Unit.init_pos	= {0.55, -0.3, 0.00}
		DCRG_O_Unit.alignment	= "LeftCenter"
		DCRG_O_Unit.value		= "NM"
		DCRG_O_Unit.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(DCRG_O_Unit)

local	GWT_Label				= CreateElement "ceStringPoly"
		GWT_Label.name			= "GWT_Label"
		GWT_Label.material		= mpcd_tpod_font
		GWT_Label.init_pos		= {-0.33, -0.5, 0.00}
		GWT_Label.alignment		= "LeftCenter"
		GWT_Label.value			= "GWT"
		GWT_Label.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(GWT_Label)

local	GWT_Value				= CreateElement "ceStringPoly"
		GWT_Value.name			= "GWT_Value"
		GWT_Value.material		= mpcd_tpod_font
		GWT_Value.init_pos		= {0.10, -0.5, 0.00}
		GWT_Value.alignment		= "RightCenter"
		GWT_Value.value			= "27000"
		GWT_Value.stringdefs	= MPCD_default_font_size
        GWT_Value.formats		= {"%d"}
        GWT_Value.controllers	= {{"gwt_bingo"}}
Add_MPCD_Element(GWT_Value)

local	GWT_MValue				= CreateElement "ceStringPoly"
		GWT_MValue.name			= "GWT_MValue"
		GWT_MValue.material		= mpcd_tpod_font
		GWT_MValue.init_pos		= {-0.35, -0.5, 0.00}
		GWT_MValue.alignment	= "RightCenter"
		GWT_MValue.value		= "*"
		GWT_MValue.stringdefs	= MPCD_data1_font_size
        GWT_MValue.controllers	= {{"gwt_bingo_overridden"}}
Add_MPCD_Element(GWT_MValue)

local	DI_Label				= CreateElement "ceStringPoly"
		DI_Label.name			= "DI_Label"
		DI_Label.material		= mpcd_tpod_font
		DI_Label.init_pos		= {0.30, -0.5, 0.00}
		DI_Label.alignment		= "LeftCenter"
		DI_Label.value			= "DI"
		DI_Label.stringdefs		= MPCD_default_font_size
Add_MPCD_Element(DI_Label)

local	DI_Value				= CreateElement "ceStringPoly"
		DI_Value.name			= "DI_Value"
		DI_Value.material		= mpcd_tpod_font
		DI_Value.init_pos		= {0.55, -0.5, 0.00}
		DI_Value.alignment		= "RightCenter"
		DI_Value.value			= "22.1"
		DI_Value.stringdefs		= MPCD_default_font_size
        DI_Value.formats		= {"%2.1f"}
        DI_Value.controllers	= {{"bingo_drag_index"}}
Add_MPCD_Element(DI_Value)

local	DI_MValue				= CreateElement "ceStringPoly"
		DI_MValue.name			= "DI_MValue"
		DI_MValue.material		= mpcd_tpod_font
		DI_MValue.init_pos		= {0.25, -0.5, 0.00}
		DI_MValue.alignment		= "RightCenter"
		DI_MValue.value			= "*"
		DI_MValue.stringdefs	= MPCD_data1_font_size
        DI_MValue.controllers	= {{"bingo_drag_index_overridden"}}
Add_MPCD_Element(DI_MValue)
